package de.intevation.flys.artifacts.model;


import java.util.List;

import de.intevation.flys.model.River;

import de.intevation.flys.backend.SessionFactoryProvider;

import org.hibernate.SessionFactory;
import org.hibernate.Session;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class RiverFactory {

    /** We don't need to instantiate concrete objects of this class. */
    private RiverFactory() {
    }


    /**
     * Returns all rivers that were found in the backend.
     *
     * @return all rivers.
     */
    public static List<River> getRivers() {
        SessionFactory sf = SessionFactoryProvider.getSessionFactory();
        Session session = sf.openSession();
        try {
            return (List<River>)session
                .createQuery("from River order by name").list();
        }
        finally {
            session.close();
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
